%define name itaka
%define version 0.2.2
%define release %mkrel 2

Summary:        On-demand screen capture server
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Networking/Other
License:        GPLv3
URL:            http://sourceforge.net/projects/%{name}
Source0:        http://surfnet.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  desktop-file-utils
Requires:       pygtk2.0
Requires:       python-twisted-core 
Requires:       python-twisted-web
Requires:	python >= 2.6

%description
Itaka is an on-demand screen capture server featuring a polished and easy to use interface 
with a robust backend HTTP server. The concept is simple: a request to your computer by a user
displays an image of your screen in the user's web browser. 

%prep
%setup -q
sed -i -e "/gzip -9 -c share\/itaka.1 > share\/itaka.1.gz/d" Makefile
sed -i -e "s/\$(INSTALL) -m 644 share\/itaka.1.gz \$(MANDIR)/\$(INSTALL) -m 644 share\/itaka.1 \$(MANDIR)/" Makefile
sed -i -e "/rm share\/itaka.1.gz/d" Makefile

sed -i -e "s/Icon=%{name}.png/Icon=%{name}/"  share/%{name}.desktop
sed -i -e "/Encoding=UTF-8/d" share/%{name}.desktop 

sed -i 's/\r//' HACKING

%build

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=%{buildroot}/usr 

desktop-file-install --vendor=""   \
        --remove-category="Application"  \
       --add-category="X-MandrivaLinux-MoreApplications-Other"  \
       --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

mkdir -p $RPM_BUILD_ROOT/%{py_sitedir}/%{name}
mv %{buildroot}%{_libdir}/%{name} $RPM_BUILD_ROOT/%{py_sitedir}
mkdir -p $RPM_BUILD_ROOT/%{py_sitedir}/%{name}/share
mv %{buildroot}%{_datadir}/%{name}/images $RPM_BUILD_ROOT/%{py_sitedir}/%{name}/share

rm -f %buildroot%_bindir/%{name}
# startscript
%__install -dm 755 %{buildroot}%{_bindir}
cat > %buildroot%_bindir/%{name} << EOF
#! /bin/bash
cd %{py_sitedir}/%{name}
python %{name}.py
EOF

chmod +x %{buildroot}%{_bindir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}


%postun
%{clean_menus}


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYRIGHT DOCUMENTATION HACKING README 
%{_bindir}/%{name}
%{py_sitedir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/*.1.bz2
%{_datadir}/pixmaps/%{name}.png

%changelog
* Sat Sep 11 2010 Texstar <texstar at gmail.com> 0.2.2-2pclos2010
- Update

* Fri Aug 07 2009 slick50 <lxgator@gmail.com> 0.2.2-1pclos2009
- initial pkg
